Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.deploy
Interface AppProvider

All Superinterfaces:
  LifeCycle

All Known Implementing Classes:
  ContextProvider, ScanningAppProvider, WebAppProvider

    public interface AppProvider

extends LifeCycle

Object responsible for providing `App`s to the `DeploymentManager`

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle
`LifeCycle.Listener`

Method Summary
`ContextHandler` | `createContextHandler(App app)` Create a ContextHandler for an App
`void` | `setDeploymentManager(DeploymentManager deploymentManager)` Set the Deployment Manager

Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Method Detail

### setDeploymentManager

    void setDeploymentManager(DeploymentManager deploymentManager)

  Set the Deployment Manager

  Parameters:
    `deploymentManager` -
  Throws:
    `java.lang.IllegalStateException` - if the provider `LifeCycle.isRunning()`.

### createContextHandler

    ContextHandler createContextHandler(App app)
                                        throws java.lang.Exception

  Create a ContextHandler for an App

  Parameters:
    `app` - The App
  Returns:
    A ContextHandler
  Throws:
    `java.io.IOException`
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.